Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.parameters.aPar.impl
Class AParPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.amp.amf.parameters.aPar.impl.AParPackageImpl

All Implemented Interfaces:
  AParPackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class AParPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements AParPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.amp.amf.parameters.aPar.AParPackage
`AParPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.amp.amf.parameters.aPar.AParPackage
`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, IMPORT, IMPORT__IMPORT_URI, IMPORT_FEATURE_COUNT, INCORPORATES, INCORPORATES__IMPORT_URI, INCORPORATES_FEATURE_COUNT, MODEL, MODEL__INCORPORATES, MODEL__MODEL, MODEL__NAME, MODEL__PARAMETERS, MODEL_FEATURE_COUNT, PARAMETER, PARAMETER_FEATURE_COUNT, SINGLE_PARAMETER, SINGLE_PARAMETER__ATTRIBUTE, SINGLE_PARAMETER__VALUE, SINGLE_PARAMETER_FEATURE_COUNT, SWEEP_LINK, SWEEP_LINK__PARAMETERS, SWEEP_LINK_FEATURE_COUNT, SWEEP_PARAMETER, SWEEP_PARAMETER__ATTRIBUTE, SWEEP_PARAMETER__END_VALUE, SWEEP_PARAMETER__INCREMENT, SWEEP_PARAMETER__START_VALUE, SWEEP_PARAMETER_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`AParFactory` | `getAParFactory()`
`org.eclipse.emf.ecore.EAttribute` | `getImport_ImportURI()`
`org.eclipse.emf.ecore.EClass` | `getImport()`
`org.eclipse.emf.ecore.EAttribute` | `getIncorporates_ImportURI()`
`org.eclipse.emf.ecore.EClass` | `getIncorporates()`
`org.eclipse.emf.ecore.EReference` | `getModel_Incorporates()`
`org.eclipse.emf.ecore.EReference` | `getModel_Model()`
`org.eclipse.emf.ecore.EAttribute` | `getModel_Name()`
`org.eclipse.emf.ecore.EReference` | `getModel_Parameters()`
`org.eclipse.emf.ecore.EClass` | `getModel()`
`org.eclipse.emf.ecore.EClass` | `getParameter()`
`org.eclipse.emf.ecore.EReference` | `getSingleParameter_Attribute()`
`org.eclipse.emf.ecore.EReference` | `getSingleParameter_Value()`
`org.eclipse.emf.ecore.EClass` | `getSingleParameter()`
`org.eclipse.emf.ecore.EReference` | `getSweepLink_Parameters()`
`org.eclipse.emf.ecore.EClass` | `getSweepLink()`
`org.eclipse.emf.ecore.EReference` | `getSweepParameter_Attribute()`
`org.eclipse.emf.ecore.EReference` | `getSweepParameter_EndValue()`
`org.eclipse.emf.ecore.EReference` | `getSweepParameter_Increment()`
`org.eclipse.emf.ecore.EReference` | `getSweepParameter_StartValue()`
`org.eclipse.emf.ecore.EClass` | `getSweepParameter()`
`static AParPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static AParPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `AParPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `AParPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getModel

    public org.eclipse.emf.ecore.EClass getModel()

  Specified by:
    `getModel` in interface `AParPackage`
  Returns:
    the meta object for class 'Model'.
  See Also:
    `Model`

### getModel_Name

    public org.eclipse.emf.ecore.EAttribute getModel_Name()

  Specified by:
    `getModel_Name` in interface `AParPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Model.getName()`, `AParPackage.getModel()`

### getModel_Model

    public org.eclipse.emf.ecore.EReference getModel_Model()

  Specified by:
    `getModel_Model` in interface `AParPackage`
  Returns:
    the meta object for the containment reference 'Model'.
  See Also:
    `Model.getModel()`, `AParPackage.getModel()`

### getModel_Incorporates

    public org.eclipse.emf.ecore.EReference getModel_Incorporates()

  Specified by:
    `getModel_Incorporates` in interface `AParPackage`
  Returns:
    the meta object for the containment reference list 'Incorporates'.
  See Also:
    `Model.getIncorporates()`, `AParPackage.getModel()`

### getModel_Parameters

    public org.eclipse.emf.ecore.EReference getModel_Parameters()

  Specified by:
    `getModel_Parameters` in interface `AParPackage`
  Returns:
    the meta object for the containment reference list 'Parameters'.
  See Also:
    `Model.getParameters()`, `AParPackage.getModel()`

### getImport

    public org.eclipse.emf.ecore.EClass getImport()

  Specified by:
    `getImport` in interface `AParPackage`
  Returns:
    the meta object for class 'Import'.
  See Also:
    `Import`

### getImport_ImportURI

    public org.eclipse.emf.ecore.EAttribute getImport_ImportURI()

  Specified by:
    `getImport_ImportURI` in interface `AParPackage`
  Returns:
    the meta object for the attribute 'Import URI'.
  See Also:
    `Import.getImportURI()`, `AParPackage.getImport()`

### getIncorporates

    public org.eclipse.emf.ecore.EClass getIncorporates()

  Specified by:
    `getIncorporates` in interface `AParPackage`
  Returns:
    the meta object for class 'Incorporates'.
  See Also:
    `Incorporates`

### getIncorporates_ImportURI

    public org.eclipse.emf.ecore.EAttribute getIncorporates_ImportURI()

  Specified by:
    `getIncorporates_ImportURI` in interface `AParPackage`
  Returns:
    the meta object for the attribute 'Import URI'.
  See Also:
    `Incorporates.getImportURI()`, `AParPackage.getIncorporates()`

### getParameter

    public org.eclipse.emf.ecore.EClass getParameter()

  Specified by:
    `getParameter` in interface `AParPackage`
  Returns:
    the meta object for class 'Parameter'.
  See Also:
    `Parameter`

### getSingleParameter

    public org.eclipse.emf.ecore.EClass getSingleParameter()

  Specified by:
    `getSingleParameter` in interface `AParPackage`
  Returns:
    the meta object for class 'Single Parameter'.
  See Also:
    `SingleParameter`

### getSingleParameter_Attribute

    public org.eclipse.emf.ecore.EReference getSingleParameter_Attribute()

  Specified by:
    `getSingleParameter_Attribute` in interface `AParPackage`
  Returns:
    the meta object for the reference 'Attribute'.
  See Also:
    `SingleParameter.getAttribute()`, `AParPackage.getSingleParameter()`

### getSingleParameter_Value

    public org.eclipse.emf.ecore.EReference getSingleParameter_Value()

  Specified by:
    `getSingleParameter_Value` in interface `AParPackage`
  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `SingleParameter.getValue()`, `AParPackage.getSingleParameter()`

### getSweepParameter

    public org.eclipse.emf.ecore.EClass getSweepParameter()

  Specified by:
    `getSweepParameter` in interface `AParPackage`
  Returns:
    the meta object for class 'Sweep Parameter'.
  See Also:
    `SweepParameter`

### getSweepParameter_Attribute

    public org.eclipse.emf.ecore.EReference getSweepParameter_Attribute()

  Specified by:
    `getSweepParameter_Attribute` in interface `AParPackage`
  Returns:
    the meta object for the reference 'Attribute'.
  See Also:
    `SweepParameter.getAttribute()`, `AParPackage.getSweepParameter()`

### getSweepParameter_StartValue

    public org.eclipse.emf.ecore.EReference getSweepParameter_StartValue()

  Specified by:
    `getSweepParameter_StartValue` in interface `AParPackage`
  Returns:
    the meta object for the containment reference 'Start Value'.
  See Also:
    `SweepParameter.getStartValue()`, `AParPackage.getSweepParameter()`

### getSweepParameter_EndValue

    public org.eclipse.emf.ecore.EReference getSweepParameter_EndValue()

  Specified by:
    `getSweepParameter_EndValue` in interface `AParPackage`
  Returns:
    the meta object for the containment reference 'End Value'.
  See Also:
    `SweepParameter.getEndValue()`, `AParPackage.getSweepParameter()`

### getSweepParameter_Increment

    public org.eclipse.emf.ecore.EReference getSweepParameter_Increment()

  Specified by:
    `getSweepParameter_Increment` in interface `AParPackage`
  Returns:
    the meta object for the containment reference 'Increment'.
  See Also:
    `SweepParameter.getIncrement()`, `AParPackage.getSweepParameter()`

### getSweepLink

    public org.eclipse.emf.ecore.EClass getSweepLink()

  Specified by:
    `getSweepLink` in interface `AParPackage`
  Returns:
    the meta object for class 'Sweep Link'.
  See Also:
    `SweepLink`

### getSweepLink_Parameters

    public org.eclipse.emf.ecore.EReference getSweepLink_Parameters()

  Specified by:
    `getSweepLink_Parameters` in interface `AParPackage`
  Returns:
    the meta object for the containment reference list 'Parameters'.
  See Also:
    `SweepLink.getParameters()`, `AParPackage.getSweepLink()`

### getAParFactory

    public AParFactory getAParFactory()

  Specified by:
    `getAParFactory` in interface `AParPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD